/*
 * @Author: jixiang
 * @Date: 1985-10-26 16:15:00
 * @Description:
 * @FilePath: /suqian_account/src/config/microserviceRouter.ts
 * One World One Drefeel(56580223@qq.com)
 */
export default [
  {
    GET: '^/(workflow-app|flow-ext|form-model|teacher-eavluation-questionnaire|flow-monitor|flow-task-change|debugger-case|proc-analysis|data-collection-resourece|default-workflow-user-choose|form-instance|business-interface|t-data-collection-resource-field|t-data-collection-resource-map|t-data-collection-resource-shield|t-data-collection-resource|business-list|flow-info|repository)',
    POST: '^/(workflow-app|business-list|debugger-case|business-interface|flow-ext|form-model|form-instance|t-data-collection-resource-field|flow-task-change|t-data-collection-resource-map|t-data-collection-resource-shield|t-data-collection-resource|batch-audit|flow-cc-proc|proc-analysis|teacher-eavluation-questionnaire|repository|data-collection-resourece|task-analysis)',
    PUT: '^/(flow-task-change|flow-ext|workflow-app|t-data-collection-resource|t-data-collection-resource-field|t-data-collection-resource-map|t-data-collection-resource-shield|flow-cc-proc)',
    DELETE:
      '^/(flow-task-change|teacher-eavluation-questionnaire|t-data-collection-resource-field|t-data-collection-resource-map|t-data-collection-resource|flow-monitor|workflow-app)',
    basePath: '/bookManage',
  },
  {
    POST: '^/(account|org|role|login-failure-strategy|self|app|account-modify-audit|login-audit|system)',
    PUT: '^/(account|app|login-failure-strategy|org|role)',
    GET: '^/(account|self|app|org|role|login-failure-strategy|system)',
    basePath: '/fighter-system-manage',
  },
  {
    POST: '^/(permission|resource|oru)',
    GET: '^/(permission|oru|resource-init|resource)',
    PUT: '^/(permission|resource)',
    basePath: '/fighter-permission',
  },
  {
    GET: '^/(taskCenter|flow|home|call)',
    POST: '^/(taskCenter|flow|taskCenter2)',
    DELETE: '^/(taskCenter|flow)',
    basePath: '/fighter-taskcenter',
  },
  {
    POST: '^/(mc|v1)',
    DELETE: '^/(mc)',
    GET: '^/(mc)',
    basePath: '/fighter-msgcenter',
  },
  {
    GET: '^/(syApp|message|notice|sysApp|personalCenter|toyh)',
    POST: '^/(syApp|sysApp|notice|message|toyh)',
    DELETE: '^/(sysApp|notice)',
    PUT: '^/(message|notice)',
    basePath: '/fighter-lightportal-saas',
  },
  {
    GET: '^/(pub)',
    POST: '^/(pub)',
    PUT: '^/(pub)',
    DELETE: '^/(pub)',
    basePath: '/fighter-const-manage',
  },
  {
    GET: '^/(address-book)',
    POST: '^/(dingtalk)',
    basePath: '/fighter-address-book',
  },
  {
    DELETE: '^/(common)',
    GET: '^/(common)',
    PUT: '^/(common)',
    POST: '^/(common)',
    basePath: '/fighter-attachment-manage',
  },
  {
    POST: '^/(integrate/uaap)',
    GET: '^/(integrate/uaap)',
    basePath: '/fighter-integrate-uaap',
  },
  {
    POST: '^/(ding-talk)',
    GET: '^/(ding-talk)',
    basePath: '/fighter-dingtalk-base',
  },
  {
    GET: '^/(integrate/ding-talk)',
    basePath: '/fighter-integrate-dingtalk-login',
  },
];
