/*
 * @Author: jixiang
 * @Date: 2021-08-13 15:05:52
 * @Description:
 * @FilePath: /book_account/src/plugins/antd.ts
 * One World One Drefeel(56580223@qq.com)
 */
import {
  Button,
  Card,
  Row,
  Col,
  Tag,
  Form,
  Input,
  ConfigProvider,
  Select,
  DatePicker,
  Dropdown,
  Menu,
  Divider,
  Badge,
  BackTop,
  Carousel,
  Avatar,
  Table,
  Tabs,
  Modal,
  Space,
  Switch,
  InputNumber,
  Image,
  Descriptions,
  Pagination,
  Steps,
  Upload,
  message,
  Checkbox,
  Popconfirm,
  Radio,
  Spin,
  TreeSelect,
} from 'ant-design-vue';

/**
 * @description 手动注册 antd-vue 组件,达到按需加载目的
 * @description Automatically register components under Button, such as Button.Group
 * @param {ReturnType<typeof createApp>} app 整个应用的实例
 * @returns void
 */
export default function loadComponent(app: any) {
  app.use(Button);
  app.use(Card);
  app.use(Row);
  app.use(Col);
  app.use(Tag);
  app.use(Form);
  app.use(Input);
  app.use(Dropdown);
  app.use(Menu);
  app.use(Divider);
  app.use(ConfigProvider);
  app.use(Select);
  app.use(DatePicker);
  app.use(BackTop);
  app.use(Badge);
  app.use(Avatar);
  app.use(Carousel);
  app.use(Table);
  app.use(Tabs);
  app.use(Modal);
  app.use(Space);
  app.use(Image);
  app.use(Descriptions);
  app.use(Switch);
  app.use(InputNumber);
  app.use(Pagination);
  app.use(Steps);
  app.use(Upload);
  app.use(message);
  app.use(Checkbox);
  app.use(Popconfirm);
  app.use(Radio);
  app.use(Spin);
  app.use(TreeSelect);
}
