/*
 * @Author: jixiang
 * @Date: 2021-04-07 11:06:09
 * @Description:
 * @FilePath: /vite-project/src/store/modules/user/state.ts
 * 56580223@qq.com
 */
import { StateType } from '@/@type';
import { Module } from 'vuex';

const state = {
  userInfo: {},
  token: '',
};
type UserStateType = typeof state;

const user: Module<UserStateType, StateType> = { namespaced: true, ...state };

export { UserStateType, state };
export default user;
